Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## turtlekit.kernel
Class TurtleScheduler

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              madkit.kernel.Scheduler
                  turtlekit.kernel.TurtleScheduler

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class TurtleScheduler

extends Scheduler

The TurtleKit scheduler

Version:
  2.1 10/04/2002
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Constructor Summary
`TurtleScheduler(java.lang.String group)`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`void` | `end()` This method is called by the agent micro-kernel at the end of the agent lifecycle.
`protected void` | `executeDiffusion()`
`protected void` | `executeDisplay()`
`protected void` | `executeEvaporation()`
`protected void` | `executeObservers()`
`protected void` | `executeTurtles()`
`protected void` | `incrementeIteration()`
`void` | `live()` This method defines the main behavior for threaded agents.
`void` | `scheduleWorld()` This method can be overriden to define a special kind of schedule Default schedule is : `public void scheduleWorld() { executeTurtles(); executeDiffusion(); executeEvaporation(); executeObservers(); executeDisplay(); incrementeIteration(); }`

Methods inherited from class madkit.kernel.Scheduler
`addActivator, addActivator, getActivators, removeActivator, removeAllActivators`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TurtleScheduler

    public TurtleScheduler(java.lang.String group)

Method Detail

### activate

    public final void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Overrides:
    `activate` in class `AbstractAgent`

### live

    public final void live()

  Description copied from class: `Agent`
  This method defines the main behavior for threaded agents.

  Overrides:
    `live` in class `Agent`

### end

    public void end()

  Description copied from class: `AbstractAgent`
  This method is called by the agent micro-kernel at the end of the agent lifecycle. If the the agent is killed from the outside, it is the last opportunity for the agent to cleanly shutdown its operations.

  Overrides:
    `end` in class `Scheduler`

### executeTurtles

    protected final void executeTurtles()

### executeDiffusion

    protected final void executeDiffusion()

### executeEvaporation

    protected final void executeEvaporation()

### executeObservers

    protected final void executeObservers()

### executeDisplay

    protected final void executeDisplay()

### incrementeIteration

    protected final void incrementeIteration()

### scheduleWorld

    public void scheduleWorld()

  This method can be overriden to define a special kind of schedule Default schedule is :

  `public void scheduleWorld() { executeTurtles(); executeDiffusion(); executeEvaporation(); executeObservers(); executeDisplay(); incrementeIteration(); }`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.